/*
combination of SerialSDfixedWrite and testRC programs
settings hard coded to fit PIP
*/

#include <SD.h>
const int chipSelect = 10;  // labled SS from DFRobot, CS from Adafruit
#include <Wire.h> 
#include <SoftwareSerial.h>
int a;
int b;
int i;
const int inpin1 = 0;   // analog input pin1
const int inpin2 = 1;   // analog input pin2
const int outpin = 7;   // digital output pin
int d = 1000;   // delay in ms between cycles (1 cycle = sweep up and down)

void setup() {
  Serial.begin(115200);
  Serial.print("Initializing SD card...");
  //output CS or SS from SD card
  pinMode(10, OUTPUT);  //Sd card interface
  pinMode(outpin, OUTPUT);  //digital out
  // failure check
  if (!SD.begin(chipSelect)) {
    Serial.println("Card failed, or not present");
    return;
  }
  Serial.println("card initialized.");
  delay(2000);
}

void loop() {
  digitalWrite(outpin, LOW);
  File dataFile = SD.open("datalog.txt", FILE_WRITE);
  digitalWrite(outpin, HIGH);
  for(i=0; i<150; i++){
    a = analogRead(inpin1);
    b = analogRead(inpin2);
    Serial.print(a);
    Serial.print(",");
    Serial.println(b);
   // dataFile.print(a);
   // dataFile.print(",");
   // dataFile.println(b);
    delay(1);
  }
  digitalWrite(outpin, LOW);
  for(i=0; i<150; i++){
    a = analogRead(inpin1);
    b = analogRead(inpin2);
    Serial.print(a);
    Serial.print(",");
    Serial.println(b);
  //  dataFile.print(a);
  //  dataFile.print(",");
  //  dataFile.println(b);
    delay(1);
  }
  //dataFile.println("end of loop");
  dataFile.close();
  //Serial.println("end of loop");
  delay(d);
}
